Please disregard the 'View article...' shown at the bottom of many posts as this is the result of restoring old forum posts from a backup.

v2.4.1patch3 released to fix several issues

edited April 20 in Announcements
This patch fixes several issues in the v2.4.1 release. We strongly encourage all Exponent installations be upgraded to v2.4.1 with this patch as soon as practical! Patch #3 to v2.4.1 is found at http://sourceforge.net/projects/exponentcms/files/exponent-2.4.1-patch-3.zip/download   

v241patch3 adds these features to v241:
- adds better serialized data preview feature to database manager
- adds optional support for dompdf v0.8.0
- adds default pdf paper size support
- update optional update script ecom3 to trim orphaned orders to last 7 days since system now auto-trims to last 30 days
- adds 'post it' style view variation to socialfeed module under bootstrap3
- now attempts to help prevent complete page crashes for improper custom wysiwyg editor configuration entries
- google maps now mandates an api key; added setting to general store settings

v241patch3 fixes these issues in v241:
- regression fix (v241) upload (zipped) extension/patch broken
- (regression?) fix some issues with eaas module image setting storage/retrieval
- fixes issue with dompdf v0.7.0 library detection
- regression fix google_maps plugin crashes on addresses with apostrophe (bootstrap 3 show order)
- regression fix (v240p1) unable to edit addresses for basic user
- regression fix (v240) saving (Facebook, etc...) 'app_id' corrupted entry
- fix manage orders/products sort by price/date links were bad
- fix many issues with sorting order/product reports, however still doesn't retain all settings between refreshes
- regression fix (v240) saving site configuration values with quotes added multiple slashes

v241patch3 updates these 3rd party libraries in v241:
- TinyMCE editor to v4.5.6
- ReCaptcha to v1.1.3
- Owl Carousel to v2.2.1
- SimpleAjaxUploader to v2.6.2
- mediaelement.js to v4.0.3, includes plugins v2.1.0
- adminer database manager to v4.3.0
- normalize.css to v6.0.0
- less.php to v1.7.0.14
- bootstrap-dialog to v1.35.4
- moment.js to v2.18.1
- elFinder to v2.1.23
- jstree to v3.3.4

Comments

  • When attempting to install patch 3 from the dowloaded zip file, I again get the following error. 

    Fatal error: Uncaught Error: Call to undefined method Archive_Zip::setErrorHandling() in /home/plasma_admin/test.buyplasmaparts.com/framework/modules/administration/controllers/administrationController.php:692 Stack trace: #0 /home/plasma_admin/test.buyplasmaparts.com/framework/core/expFramework.php(456): administrationController->install_extension_confirm() #1 /home/plasma_admin/test.buyplasmaparts.com/framework/core/subsystems/expTheme.php(802): renderAction(Array) #2 /home/plasma_admin/test.buyplasmaparts.com/framework/core/subsystems/expTheme.php(916): expTheme::runAction() #3 /home/plasma_admin/test.buyplasmaparts.com/themes/ARCtheme/index.php(67): expTheme::main() #4 /home/plasma_admin/test.buyplasmaparts.com/index.php(102): include('/home/plasma_ad...') #5 {main} thrown in /home/plasma_admin/test.buyplasmaparts.com/framework/modules/administration/controllers/administrationController.php on line 692

  • Sorry, that's one of the bugs that patch #3 fixes...is it possible to simply extract the patch to the web folder or at least extract /external/Zip.php to the /external folder?
  • I extracted the patch to the server and was able to get Exponent updated that way.
Sign In or Register to comment.